## org.apache.myfaces.custom.buffer
Class HtmlBufferResponseWriterWrapper

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              org.apache.myfaces.renderkit.html.HtmlResponseWriterImpl
                  org.apache.myfaces.custom.buffer.HtmlBufferResponseWriterWrapper

All Implemented Interfaces:
  DummyFormResponseWriter

public class HtmlBufferResponseWriterWrapper
extends HtmlResponseWriterImpl

Version:
  $Revision: 169649 $ $Date: 2005-05-11 17:47:12 +0200 (Wed, 11 May 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class java.io.Writer
`lock`

Method Summary
`static HtmlBufferResponseWriterWrapper` `getInstance(javax.faces.context.ResponseWriter initialWriter)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlResponseWriterImpl
`addDummyFormParameter, cloneWithWriter, close, endDocument, endElement, flush, getCharacterEncoding, getContentType, getDummyFormName, getDummyFormParams, isWriteDummyForm, setWriteDummyForm, startDocument, startElement, supportsContentType, write, write, write, write, write, writeAttribute, writeComment, writeText, writeText, writeURIAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static HtmlBufferResponseWriterWrapper getInstance(javax.faces.context.ResponseWriter initialWriter)

### toString

    public java.lang.String toString()